Expenses

Update Hris Expense Report

Owner edits name, dates, currency or justification of a draft/rejected/info-requested report.

POSThttps://api.toku.com/hris/update-hris-expense-report

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/update-hris-expense-report' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "hrisExpenseReportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "startDate": "2026-01-01T00:00:00Z",
  "endDate": "2026-01-01T00:00:00Z",
  "expensedCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "reimbursementCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "justification": "string"
}'
200 response
{
  "hrisExpenseReportID": "string",
  "roleInOrgID": "string",
  "roleInOrgName": "string",
  "roleInOrgEmail": "string",
  "roleInOrgDepartment": "string",
  "name": "string",
  "status": "DRAFT",
  "startDate": "string",
  "endDate": "string",
  "expensedCurrencyID": "string",
  "expensedCurrencyCode": "string",
  "expensedCurrencyName": "string",
  "totalAmountInExpenseCurrency": "string",
  "submittedAt": "string",
  "approvedAt": "string",
  "rejectedAt": "string",
  "paidAt": "string",
  "payoutStatus": "PENDING",
  "decisionUndoableUntil": "string",
  "rejectionReason": "string",
  "reviewComment": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "expenseCount": 0,
  "categoryNames": [
    "string"
  ],
  "primaryExpenseCategoryName": "string",
  "hasReceiptlessExpenses": true,
  "thirdPartyProvider": "EXPENSIFY",
  "thirdPartyReportID": "string",
  "reimbursementSyncedAt": "string",
  "reimbursementSyncError": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

hrisExpenseReportIDstring<uuid>required
namestring

Allowed: 1 to 200 characters

startDatestring<date-time>
endDatestring<date-time>
expensedCurrencyIDstring | null<uuid>
reimbursementCurrencyIDstring | null<uuid>
justificationstring

NOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it

Response

200Successful response
hrisExpenseReportIDstringrequired
roleInOrgIDstringrequired
roleInOrgNamestring | nullrequired
roleInOrgEmailstring | nullrequired
roleInOrgDepartmentstring | nullrequired
namestringrequired
statusstringrequired

Available options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED, PAID, PROCESSING

startDatestringrequired
endDatestringrequired
expensedCurrencyIDstringrequired
expensedCurrencyCodestring | nullrequired
expensedCurrencyNamestring | nullrequired
totalAmountInExpenseCurrencystring | nullrequired
submittedAtstring | nullrequired
approvedAtstring | nullrequired
rejectedAtstring | nullrequired
paidAtstring | nullrequired
payoutStatusstring | nullrequired

Available options: PENDING, PROCESSING, PAID, FAILED, CANCELLED, null

decisionUndoableUntilstring | nullrequired
rejectionReasonstring | nullrequired
reviewCommentstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
expenseCountnumberrequired
categoryNamesstring[]required
primaryExpenseCategoryNamestring | nullrequired
hasReceiptlessExpensesbooleanrequired
thirdPartyProviderstring | nullrequired

Available options: EXPENSIFY, NAVAN, RAMP, SAP_CONCUR, BILL_SPEND_EXPENSE, PLEO, BREX, null

thirdPartyReportIDstring | nullrequired
reimbursementSyncedAtstring | nullrequired
reimbursementSyncErrorstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits